GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference
These docs are for v2024-04-01. Click to read the latest docs for v2026-02-01.

Prepare a payroll for update

Prepares an unprocessed payroll for update, including: adding or removing eligible employees from the payroll, and updating check_date, payroll_deadline, and payroll_status_meta dates and times.

Use this endpoint before calling PUT /v1/companies/{company_id}/payrolls/{payroll_id}.

Notes

  • Nullifies calculated_at and totals if the payroll was previously calculated
  • Returns the version parameter required for updating the payroll
  • employees:read scope is required to include employee compensations data in the response.
  • Results are paginated, with a maximum page size of 100 employee compensations.

scope: payrolls:write employees:read

Path Params
string
required

The UUID of the company

string
required

The UUID of the payroll

Query Params
integer

The page that is requested. When unspecified, will load all objects unless endpoint forces pagination.

integer

Number of objects per page. For majority of endpoints will default to 25

string
enum

Sort employee compensations by name

Allowed:
Body Params
employee_uuids
array of strings | null

An array of employee UUIDs. If passed, only those employees payroll items will be prepared.

employee_uuids
Headers
string
enum
Defaults to 2024-04-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json